#ifndef ASMBLOCK_H
#define ASMBLOCK_H


void cls( void* video, unsigned char col);
void moveblock( void* source, void* dest, unsigned int width, unsigned int height);
void cutblock( void* source, void* dest, unsigned int width, unsigned int height);
void pasteblock( void* source, void* dest, unsigned int width, unsigned int height);
void andpasteblock( void* source, void* dest, unsigned int width, unsigned int height);
void xorpasteblock( void* source, void* dest, unsigned int width, unsigned int height);
void orpasteblock( void* source, void* dest, unsigned int width, unsigned int height);
void transpasteblock( void* source, void* mask, void* dest, unsigned int width, unsigned int height);

#endif
